icon-aiicon-arrangementsicon-arrow-left-1icon-arrow-left-2icon-arrow-left-3icon-arrow-right-1icon-arrow-right-2icon-arrow-right-3icon-automationicon-bleedicon-bounceicon-brushesicon-brushes2icon-circlesicon-cloudicon-cross-invicon-crossicon-cymbalicon-downloaddrumsicon-drag-dropicon-drumkiticon-drums2icon-drumsticksicon-edrumsicon-electronicicon-envelopeicon-fadersicon-futurehiticon-galaxyicon-grid-editoricon-headphonesicon-hihaticon-importsamplesicon-information-invicon-informationicon-joystickicon-kickicon-macrosicon-massenburgicon-microphoneicon-midi-exporticon-midi-searchicon-midi-trackericon-midi-tracksicon-midiicon-mix-channelsicon-mixericon-one-noteicon-percussionicon-percussion2icon-play-1-invicon-play-1icon-play-2-invicon-play-2icon-play-3icon-plus-invicon-plusicon-presetsicon-rawicon-reverseanythingicon-samplesicon-save-drumicon-seamlessicon-settingsicon-shapesicon-snareicon-song-tracksicon-ssdicon-stackicon-tap2findicon-tempoicon-third-partyicon-three-notesicon-tomicon-two-notesicon-videoicon-workflow
Avatar

Please register or login to post.

Register | Lost password?
Advanced Search

— Forum Scope —




— Match —





— Forum Options —





Minimum search word length is 3 characters - maximum search word length is 84 characters

sp_Feed Topic RSS sp_TopicIcon
You need to upgrade your Toontrack software to the latest version before you can install this product.
April 22, 2016
3:23 pm CET
Avatar
Scott
Admin
Forum Posts: 8366
Member Since:
July 22, 2006
sp_UserOfflineSmall Offline

dennis hardcastle said

John said

Please download and install the latest Superior 2 update (currently 2.4.3)..

Hi, How do you download this version please?

The latest version of Superior Drummer 2 isn't going to do you any good if you're looking for the latest version of EZmix2.

The latest version of EZmix2 is available in the Updates tab under your EZmix2 product page in My Products.

December 1, 2016
5:32 pm CET
Avatar
bcnyman
New Member
Forum Posts: 1
Member Since:
December 1, 2016
sp_UserOfflineSmall Offline

I hate to sound like an echo, but I am having the same issue with the need to update software. I purchased Nashville EZX, which is, so far, my only purchase with Toontracks. How do I fix the "you need to update" problem? Thanks in advance.

December 1, 2016
5:52 pm CET
Avatar
Scott
Admin
Forum Posts: 8366
Member Since:
July 22, 2006
sp_UserOfflineSmall Offline

bcnyman said
I hate to sound like an echo, but I am having the same issue with the need to update software. I purchased Nashville EZX, which is, so far, my only purchase with Toontracks. How do I fix the "you need to update" problem? Thanks in advance.  

Do you have a Toontrack sampler? A working EZdrummer 1.4 (or above) or a Superior Drummer 2.3 (or above) is required for using an EZX.

December 3, 2016
7:02 pm CET
Avatar
Antoine Binette Mercier
New Member
Forum Posts: 1
Member Since:
December 12, 2012
sp_UserOfflineSmall Offline

Hi Toontrack team,

Its seam I have the same problem with the 'update software message" and there is no link for downloading it. I purchased twisted kit. It is possible for you to give me the link of the update? Thank you!

December 3, 2016
7:10 pm CET
Avatar
Scott
Admin
Forum Posts: 8366
Member Since:
July 22, 2006
sp_UserOfflineSmall Offline

Antoine Binette Mercier said
Hi Toontrack team,

Its seam I have the same problem with the 'update software message" and there is no link for downloading it. I purchased twisted kit. It is possible for you to give me the link of the update? Thank you!  

Do you have a Toontrack sampler? A full EZD1, EZD2, or S2 is required for any EZX.

December 3, 2017
11:49 am CET
Avatar
Wei-Liang Liu
New Member
Forum Posts: 1
Member Since:
December 3, 2017
sp_UserOfflineSmall Offline

gustavo.puerta said
Hi guys, I've purchased the ez-drummer metal heads version, but when I try to install it, i get this message "You need to upgrade your Toontrack software to the latest version before you can install this product.", I have a windows 8.1 64bits version, so i'm not sure what can I do with this issue, maybe i need to install something basic ez-drummer version before that? anybody can help me? thank's a lot  

I got the same damn problem

December 3, 2017
1:55 pm CET
Avatar
John
Sweden
Admin
Forum Posts: 8305
Member Since:
June 18, 2004
sp_UserOfflineSmall Offline

@ Wei-Liang Liu:
You only have an EZdrummer 2 EZX (Rock! EZX) registered to your account, you cannot run this without EZdrummer 2, Superior Drummer 2 or Superior Drummer 3.

BR,
John

Forum Timezone: Europe/Stockholm

Most Users Ever Online: 715

Currently Online: Dan Raykovitz, bunga
32 Guest(s)

Currently Browsing this Page:
1 Guest(s)

×